#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
# http://www.powershell-doktor.de
########################################

# Dane wejściowe
$połączenie = "Data Source=.\SQLEXPRESS;AttachDbFilename=H:\WPS\B_BazyDanych\BazaKont.mdf;Integrated Security=True;User Instance=true"
$SQL = "Select * from Konta where Kontener = 'WinNT://Users'"

# Otwieranie bazy danych
"Otwieranie bazy danych..."
$połączenie = New-Object System.Data.SqlClient.SqlConnection($połączenie)
$połączenie.open()
"Stan połączenia: " + $połączenie.State

# Wykonywanie instrukcji SQL
"Wykonywanie instrukcji SQL: " + $SQL
$cmd = New-Object System.Data.SqlClient.SqlCommand($sql,$połączenie)
$ada = New-Object System.Data.SqlClient.SqlDataAdapter($cmd)
$ds = New-Object System.Data.DataSet
$ada.Fill($ds)
"Liczba tabel w obiekcie DataSet: " + $ds.Tables.Count

"Dane:"
$ds.Tables[0]
